#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;

use CGI::Carp qw(fatalsToBrowser); 
use CGI;
use DBI;
use pseek;
use fmspm;

&get_setup;
fmspm::check_spamb("favad.cgi", "header", "$data_dir");
$q = CGI->new;

################# 


if ($q->param('id') eq "") 
	{
print "Content-type: text/html\n\n";
print qq[
<html>
<head>
<title>PowerSeek</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$script_url/fav.cgi">
</head>
<body>
</body>
</html>
];
exit;
	}

### SET COOKIE

$id = $q->param('id');
$id = int($id);

$query = new CGI;

$prev_ids = $query->cookie('FavoriteLinks');

@all_prev_ids = split (/:/, $prev_ids);

foreach $item (@all_prev_ids)
	{
	if ($item eq $id){$found_prev = "true";}
	}

if ($found_prev ne "true") ### IF NO DUPLICATE
	{
	$cookid_id = $prev_ids . ":" . $id;

	$thecookie1 = $query->cookie(-name=>'FavoriteLinks',
				    					  -value=>$cookid_id,
				    					  -expires=>'+1y',
				    					  -path=>'/');

	print $query->header(-cookie=>[$thecookie1]);



print qq[
<html>
<head>
<title>PowerSeek</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$script_url/favchk.cgi">
</head>
<body>
</body>
</html>
];


	}
	else ### IF ALREADY SET AS A COOKIE THEN JUST GO BACK TO FAVORITES
	{
	print "Content-type: text/html\n\n";

print qq[
<html>
<head>
<title>PowerSeek</title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0;URL=$script_url/fav.cgi">
</head>
<body>
</body>
</html>
];
	}





#################

sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

